highlighting-kate-0.6: Syntax highlighting

Copyright | Copyright (C) 2011 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Text.Highlighting.Kate.Styles

Description

Styles for rendering annotated source lines.

Synopsis

- pygments :: Style
- kate :: Style
- espresso :: Style
- tango :: Style
- haddock :: Style
- monochrome :: Style
- zenburn :: Style

# Documentation

pygments :: Style

Style based on pygments's default colors.

kate :: Style

Style based on kate's default colors.

espresso :: Style

Style based on ultraviolet's espresso_libre.css (dark background).

tango :: Style

Style based on pygments's tango colors.

haddock :: Style

Style based on haddock's source highlighting.

monochrome :: Style

Style with no colors.

zenburn :: Style

Style based on the popular zenburn vim color scheme